## midori 0.2.4-3trisquel1

=== debian/changelog ===
midori (0.2.4-3trisquel1) slaine; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 May 2011 19:08:24 +0000
