=== debian/changelog ===
midori (0.3.2-0.1ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #730340) Remaining changes:
    - debian/control:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev
    - debian/rules:
      + Change package query from libwebkit-dev to libwebkitgtk-dev

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 07 Mar 2011 19:35:52 -0600

midori (0.3.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - fix bookmarks multiplication.                             closes: #613739
  * debian/patches:
    - 0001-Only-no-adblock-if-main-frame-in-provisional-state dropped, included
      upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Feb 2011 10:50:11 +0100

midori (0.3.0-1.3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 05 Feb 2011 12:00:30 +0100

midori (0.3.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - replace hardening-includes build-dep by hardening-wrapper.
  * debian/rules:
    - enable hardening.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 04 Feb 2011 09:01:07 +0100

midori (0.3.0-1.2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 03 Feb 2011 09:08:58 +0100

midori (0.3.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - 0001-Only-no-adblock-if-main-frame-in-provisional-state added, fix
      adblock extension.                                        closes: #611682
  * debian/rules:
    - remove .lock-script in clean target.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 02 Feb 2011 21:01:25 +0100

midori (0.3.0-1.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.
  * debian/patches/desktop-scheme-handler-types:
    - Dropped, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 01 Feb 2011 20:27:20 +0100

midori (0.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
  * debian/rules:
    - remove waf stuff, midori waf has been updated so it's no longer needed
      to dynamically patch waf for HPPA.
    - install $(DISTRO)-config to /etc/xdg/midori to tune the default homepage
    - add -O1 to LDFLAGS.
  * debian/{Ubuntu,Debian}-config added, with default homepage setting.
  * debian/patches:
    - add-debian-search refreshed.
    - fix-serial-build dropped thanks to waf upgrade in midori.
  * debian/control:
    - drop quilt build-dep, useless now.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 31 Jan 2011 17:49:21 +0100

midori (0.2.7-1.1ubuntu2) natty; urgency=low

  * Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 18 Jan 2011 09:31:00 +0000

midori (0.2.7-1.1ubuntu1) natty; urgency=low

  * debian/patches/desktop-scheme-handler-types:
    - Add the x-scheme-handler types for HTTP[S} (LP: #701973)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 12 Jan 2011 11:33:23 -0500

midori (0.2.7-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [Ryan Niebur]
  * New Upstream Version (Closes: #582213)
    - fixes segfault (Closes: #579118)
    - correct link to FAQ (Closes: #582512)
  * refresh patches
  * update copyright
  * use dpkg-maintscript-helper to remove old config file
    /etc/midori/extensions/libadblock.so (Closes: #573208)

  [Yves-Alexis Perez]
  * New 2.7 upstream release.
  * debian/watch edited to correctly track upstream versions.
  * debian/rules:
    - use --fail-missing in dh_install
  * debian/control:
    - add build-dep on valac to build certain extensions.
    - update standards version to 3.9.1

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 17 Aug 2010 22:11:21 +0200
