=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
- quilt (>= 0.46-7),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkit-dev (>= 1.1.15),
+ libwebkitgtk-dev,
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -20,15 +20,18 @@
  python-docutils,
  libsoup2.4-dev (>= 2.25.2),
  libnotify-dev,
+ valac,
 # For testing under xvfb:
  xvfb,
  xauth,
- xfonts-base
+ xfonts-base,
+ hardening-wrapper,
+ libxss-dev
 # Disabled optional dependencies:
 Build-Conflicts: gtk-doc-tools,
  libgtksourceview2.0-dev (>= 2.0),
  libhildon-1-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
 Vcs-Git: git://git.ryan52.info/git/midori
 Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary
@@ -36,6 +39,7 @@
 Package: midori
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):
