## midori 0.4.0

=== debian/changelog ===
midori (0.4.0-2build0.1) oneiric-proposed; urgency=low

  * No change rebuild to fix missing webkit symbol (LP: #949610)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 07 Mar 2012 22:22:35 -0600

midori (0.4.0-2) unstable; urgency=low

  * debian/patches:
    - 0001-Fix-for-Bug-819688 added, correctly restore tab panel when needed.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 06 Sep 2011 09:30:33 +0200

midori (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bump webkit build-dep to 1.1.17.
    - bump valac build-dep to 0.10.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 02 Aug 2011 09:44:09 +0200

midori (0.3.6-2) unstable; urgency=low

  * debian/rules:
    - don't install upstream changelog twice.                   closes: #614692
  * debian/Debian-config:
    - update homepage to point to faq.html.
  * debian/control:
    - build-dep on libwebkitgtk-dev instead of libwebkit-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 26 Jul 2011 00:24:23 +0200

midori (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update vcs info.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 16 May 2011 08:32:33 +0200

midori (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add myself to uploaders...
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 02 May 2011 21:50:53 +0200

midori (0.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules:
    - install ChangeLog file as changelog and remove the one installed by make
      install.
  * debian/control:
    - drop dpkg PreDepends.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 15 Mar 2011 22:36:00 +0100
