=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ryan Niebur <ryan@debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkitgtk-dev,
+ libwebkitgtk-dev (>= 1.1.17),
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -20,7 +20,7 @@
  python-docutils,
  libsoup2.4-dev (>= 2.25.2),
  libnotify-dev,
- valac,
+ valac (>= 0.10),
 # For testing under xvfb:
  xvfb,
  xauth,
@@ -31,15 +31,14 @@
 Build-Conflicts: gtk-doc-tools,
  libgtksourceview2.0-dev (>= 2.0),
  libhildon-1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
-Vcs-Git: git://git.ryan52.info/git/midori
-Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary
+Vcs-Git: git://git.debian.org/collab-maint/midori.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/midori.git;a=summary
 
 Package: midori
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
-Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):
