## midori 0.4.0-1~nnwkt1+5.0trisquel2

=== wscript ===
--- 
+++ 
@@ -28,8 +28,8 @@
 from Configure import find_program_impl
 
 major = 0
-minor = 3
-micro = 2
+minor = 4
+micro = 0
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -88,28 +88,8 @@
         return dirvalue
 
     conf.check_tool ('compiler_cc')
-    if option_enabled ('vala'):
-        if find_program_impl (conf.env, 'valac'):
-            conf.check_tool ('vala')
-        else:
-            conf.check_message ('program', 'valac', False, False)
-            Utils.pprint ('RED', 'Vala is required for some extensions.')
-            Utils.pprint ('RED', 'Pass --disable-vala to not build with Vala.')
-            sys.exit (1)
+    conf.check_tool ('vala')
     conf.check_tool ('glib2')
-
-    if option_enabled ('userdocs'):
-        conf.find_program ('rst2html.py', var='RST2HTML')
-        # debian renames the executable, check that as well :(
-        if not conf.env['RST2HTML']:
-            conf.find_program ('rst2html', var='RST2HTML')
-        if conf.env['RST2HTML']:
-            user_docs = 'yes'
-        else:
-            option_checkfatal ('userdocs', 'user documentation')
-            user_docs = 'N/A'
-    else:
-        user_docs = 'no '
 
     if option_enabled ('nls'):
         conf.check_tool ('intltool')
@@ -216,12 +196,13 @@
                     includes='/usr/X11R6/include', mandatory=False)
         conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
     check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
-    check_pkg ('webkit-1.0', '1.1.1', args=args)
+    check_pkg ('webkit-1.0', '1.1.17', args=args)
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
     check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
     check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libsoup-2.4', '2.29.91', False, var='LIBSOUP_2_29_91')
+    conf.define ('LIBSOUP_VERSION', conf.check_cfg (modversion='libsoup-2.4'))
     check_pkg ('libxml-2.0', '2.6')
     check_pkg ('sqlite3', '3.0', True, var='SQLITE')
 
@@ -310,3 +291,15 @@
                 '-Waggregate-return -Wno-unused-parameter '
                 '-Wno-missing-field-initializers '
                 '-Wredundant-decls -Wmissing-noreturn '
+                '-Wshadow -Wpointer-arith -Wcast-align '
+                '-Winline -Wformat-security -fno-common '
+                '-Winit-self -Wundef -Wdeclaration-after-statement '
+                '-Wmissing-format-attribute -Wnested-externs '
+            # -DGSEAL_ENABLE
+                '-DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED '
+                '-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED '
+                '-DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED '
+                '-DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE'.split ())
+    if debug_level == 'full':
+        conf.env.append_value ('VALAFLAGS', '--enable-checking'.split ())
+    elif debug_level == 'none':
