=== debian/changelog ===
midori (0.4.0-1~nnwkt1+5.0trisquel2) dagda; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Aug 2011 20:36:39 +0000

midori (0.4.0-1~nnwkt1) natty; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/control:
    - bump webkit build-dep to 1.1.17.
    - bump valac build-dep to 0.10.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 02 Aug 2011 15:08:29 +0200
