=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
