=== debian/changelog ===
midori (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/midori.{preinst,postinst,postrm}:
    - handle adblock configuration file rename.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 Nov 2011 14:26:25 +0100

midori (0.4.1-2) unstable; urgency=low

  * debian/control:
    - update libwebkitgtk-dev build-dep to 1.4.3
  * As a side effect, the rebuild against webkit 1.6.1 fix midori crashing
    because of missing webkit_web_view_get_selected_text()      closes: #646198

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 22 Oct 2011 14:46:34 +0200

midori (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - fix middle click on back/forward button.                  closes: #644840
    - correctly clear private data on quit when asked.          closes: #644658
  * debian/patches:
    - 0001-Fix-for-Bug-819688 dropped, included upstream.
  * debian/control:
    - drop libjs-mootools from depends, it's not needed anymore.
  * debian/rules:
    - don't remove mootools.js since it's not even shipped anymore.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 10 Oct 2011 08:24:46 +0200
