## midori 0.4.3

=== debian/changelog ===
midori (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 19 Dec 2011 00:26:46 +0100
