=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 CMD=$(shell echo $@ | sed 's/override_//')
 
-LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkit[^ ]+).*/\1/')
+LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkitgtk[^ ]+).*/\1/')
 GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
 DISTRO=$(shell lsb_release -is)
 CONFIG_FILE=debian/config/$(DISTRO).h
@@ -55,8 +55,6 @@
 override_dh_auto_install:
 	$(WAF) --nocache install --destdir debian/tmp
 	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
-	rm -f debian/tmp/usr/share/midori/res/mootools.js
-	ln -s /usr/share/javascript/mootools/mootools.js debian/tmp/usr/share/midori/res/mootools.js
 	install -m 0644 debian/$(DISTRO)-config debian/tmp/etc/xdg/midori/config
 
 PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))
@@ -69,3 +67,7 @@
 
 override_dh_strip:
 	$(CMD) --dbg-package=midori-dbg
+
+override_dh_installchangelogs:
+	rm -f debian/midori/usr/share/doc/midori/ChangeLog
+	dh_installchangelogs ChangeLog
