=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ryan Niebur <ryan@debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkitgtk-dev (>= 1.1.17),
+ libwebkitgtk-dev (>= 1.4.3),
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -38,7 +38,7 @@
 
 Package: midori
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
+Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):
