## midori 0.4.3-1~oowkt1+5.5trisquel1

=== debian/changelog ===
midori (0.4.3-1~oowkt1+5.5trisquel1) brigantia; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 10 Mar 2012 15:02:24 +0000

midori (0.4.3-1~oowkt1) oneiric; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Mon, 19 Dec 2011 10:21:58 +0100
